Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

REST API Reference

REST API Reference

Running test cases in a test suite

Running test cases in a test suite

Use the following URI to run specific test cases in a test suite:
GET /datavalidation-service/api/v1/testsuite/run/{testSuiteId}
Use the IDS-SESSION-ID header in the POST request.
POST request
Use the following fields in the POST request:
Field
Type
Description
testCaseIdsToRun
Array
Enter the IDs of the test cases that you want to run in the test suite.
POST response
If the test cases in the test suite were run successfully, the POST request returns a
200 Successful operation
response and returns the following response fields:
Field
Type
Description
testCaseIdsToRun
Array
You see the IDs of the test cases that were run.
If the test cases in the test suite did not run successfully, the POST request returns a
500 Internal Server Error
response. It also returns the following response fields:
Field
Type
Description
code
String
Code of the error message.
message
String
Error message.
debugMessage
String
Message that can be used for debugging the issue.
details
String
Detailed information about the error message.

0 COMMENTS

We’d like to hear from you!